Presets

Extract preset from text description

Provide a natural language scene description and use AI to generate style settings as a preset.

POST
/preset/extract-from-text
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

textText

Natural language scene description to generate preset from.

type?Type

Preset type to generate for.

Default"flat_2_model"
Value in"flat_2_model" | "model_swap"

Response Body

Examples

curl -X POST "https://v2.api.piktid.com/preset/extract-from-text" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "string"
  }'
{
  "instruction_data": {},
  "suggested_name": null,
  "suggested_description": null
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty
Empty